Loading...
Searching...
No Matches
sytrs: Symmetric indefinite forward and back solves - no pivoting
Dense LA » Linear system solvers » Symmetric indefinite » No pivoting variant

## Functions

magma_int_t | magma_csytrs_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaFloatComplex_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| CSYTRS solves a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U * D * U**H or A = L * D * L**T computed by CSYTRF_NOPIV_GPU.
magma_int_t | magma_zsytrs_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaDoubleComplex_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| ZSYTRS solves a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U * D * U**H or A = L * D * L**T computed by ZSYTRF_NOPIV_GPU.

## Detailed Description

## Function Documentation

## magma_csytrs_nopiv_gpu()

magma_int_t magma_csytrs_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

CSYTRS solves a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U * D * U**H or A = L * D * L**T computed by CSYTRF_NOPIV_GPU.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in] | dA | COMPLEX array on the GPU, dimension (LDDA,N) The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by CSYTRF_NOPIV_GPU.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in,out] | dB | COMPLEX array on the GPU, dimension (LDDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. LDDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zsytrs_nopiv_gpu()

magma_int_t magma_zsytrs_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

ZSYTRS solves a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U * D * U**H or A = L * D * L**T computed by ZSYTRF_NOPIV_GPU.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in] | dA | COMPLEX_16 array on the GPU, dimension (LDDA,N) The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by ZSYTRF_NOPIV_GPU.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).
  [in,out] | dB | COMPLEX_16 array on the GPU, dimension (LDDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. LDDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value